from dataclasses import dataclass
from uuid import UUID


@dataclass(frozen=True)
class UserRequestDTO:
    name: str
    email: str
    password: str


@dataclass(frozen=True)
class UserResponseDTO:
    id: UUID
    name: str
    email: str
